> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available weather parameters

> Replies with a JSON object containing all parameters, their units, description and available variants



## OpenAPI

````yaml api-reference/pinpoint/openapi.json get /parameters
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /parameters:
    get:
      tags:
        - parameters
      summary: Get available weather parameters
      description: >-
        Replies with a JSON object containing all parameters, their units,
        description and available variants
      parameters: []
      responses:
        '200':
          description: Available parameters data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParametersResponse'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    ParametersResponse:
      type: object
      additionalProperties:
        type: object
        properties:
          group:
            type: array
            items:
              type: string
            description: Groups this parameter belongs to
          unit:
            type: string
            description: Unit of measurement
          description:
            type: object
            properties:
              en:
                type: string
                description: English description
              ar:
                type: string
                description: Arabic description
            description: Multilingual descriptions
          variants:
            type: array
            items:
              type: string
            description: Available variants for this parameter
      example:
        surface.temperature:
          description: temperature at surface
          unit: celsius
          variants:
            - gfs
            - gem
            - ukmet
        surface.wind_speed:
          description: 10m wind speed
          unit: meters per second
          variants:
            - gfs
            - gem
            - ukmet
        surface.relative_humidity:
          description: relative humidity
          unit: percentage
          variants:
            - gfs
            - gem
            - ukmet
      properties: {}

````